function y = findU_and_sigma(param,Qu,Qd,dt,Pu,Pd,Ju,Jd,ObjFun);

% Objective function

U    = param(1);
sigma = param(2);

for i=1:length(Ju)
	Su(i) = Qu(i)/(1+U*exp(sigma*Ju(i)*sqrt(dt))*dt);
	Sd(i) = Qd(i)/(1+U*exp(sigma*Jd(i)*sqrt(dt))*dt);
end

if strcmp(ObjFun, 'SSE')
	y = [(Pu - sum(Su))^2; (Pd - sum(Sd))^2];
elseif strcmp(ObjFun, 'ABS')
	y = [abs(Pu - sum(Su)); abs(Pd - sum(Sd))];
end

if U<0 | sigma<0
	y = 1e100;
end

	